# prometheus-fail2ban-charts

[![Build Status](https://drone.cryptic.systems/api/badges/volker.raschek/prometheus-fail2ban-exporter-charts/status.svg)](https://drone.cryptic.systems/volker.raschek/prometheus-fail2ban-exporter-charts)
[![Artifact Hub](https://img.shields.io/endpoint?url=https://artifacthub.io/badge/repository/volker-raschek)](https://artifacthub.io/packages/search?repo=volker-raschek)

This helm chart contains a daemonset to deploy a fail2ban metric exporter on
kubernetes nodes, which have fail2ban locally installed and configured.

The source project of the fail2ban exporter is hosted
[here](https://gitlab.com/hectorjsmith/fail2ban-prometheus-exporter), but
repackaged to make it possible to deploy it on kubernetes.

This helm chart can be found on [artifacthub.io](https://artifacthub.io/) and
can be installed via helm.

```bash
helm repo add volker.raschek https://charts.cryptic.systems/volker.raschek
helm install prometheus-fail2ban-exporter volker.raschek/prometheus-fail2ban-exporter
```

## Customization

All [configuration
options](https://gitlab.com/hectorjsmith/fail2ban-prometheus-exporter/-/blob/235d34114bdf6c99f8b8154240c007b2491248ea/cfg/cfg.go#L12)
can be defined in the `values.yml` file below the `config` section.
Alternatively can be the options passed via the `--set` flag of the `helm
install` command.
